Bug 210006 - Too high CPU usage on some pdf file
Too high CPU usage on some pdf file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-09 10:40 EDT by Dmitry Butskoy
Modified: 2008-04-04 08:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 08:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2006-10-09 10:40:52 EDT
Open a document:
http://www.netapp.com/library/tr/3336.pdf
and go to page 4 ...

Evince loads this (and further) page too slow, with 100% of CPU utilization.
Strace shows:
 poll(....) = 0
 ioctl(FIONREAD) = 0
 gettimeofday(...)
repeatedly

Both gv and xpdf have no such an issue with this pdf.
Comment 1 Bug Zapper 2008-04-03 23:56:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Dmitry Butskoy 2008-04-04 08:40:50 EDT
If to do nothing with a problem, the problem take offence and go away. :)

Note You need to log in before you can comment on or make changes to this bug.